bssmap_le.h File Reference
3GPP TS 49.031 BSSMAP-LE.

Message encoding and decoding for 3GPP TS 49.031 BSSMAP-LE. More...

`#include <osmocom/gsm/protocol/gsm_49_031.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_bssmap_le_err
struct | osmo_bssap_le_err

## Functions

enum bssmap_le_msgt | osmo_bssmap_le_msgt (const uint8_t *data, uint8_t len)
| Return the BSSMAP-LE msg_type from a BSSAP-LE PDU, e.g. More...
static const char * | osmo_bssmap_le_msgt_name (enum bssmap_le_msgt val)
static const char * | osmo_bssmap_le_iei_name (enum bssmap_le_iei val)
int | osmo_lcs_cause_enc (struct msgb *msg, const struct lcs_cause_ie *lcs_cause)
| Encode the value part of 3GPP TS 49.031 10.13 LCS Cause, without IEI and len. More...
int | osmo_lcs_cause_dec (struct lcs_cause_ie *lcs_cause, enum bssmap_le_msgt msgt, enum bssmap_le_iei iei, struct osmo_bssmap_le_err **err, void *err_ctx, const uint8_t *data, uint8_t len)
| Decode the value part of 3GPP TS 49.031 10.13 LCS Cause, without IEI and len. More...
int | osmo_bssap_le_pdu_to_str_buf (char *buf, size_t buflen, const struct bssap_le_pdu *bssap_le)
| Return a human readable string describing a BSSAP-LE PDU. More...
char * | osmo_bssap_le_pdu_to_str_c (void *ctx, const struct bssap_le_pdu *bssap_le)
| Return a human readable string describing a BSSAP-LE PDU. More...
struct msgb * | osmo_bssap_le_enc (const struct bssap_le_pdu *pdu)
| Encode BSSAP-LE PDU returned in new msgb (3GPP TS 49.031). More...
int | osmo_bssap_le_dec (struct bssap_le_pdu *pdu, struct osmo_bssap_le_err **err, void *err_ctx, struct msgb *msg)
| Decode BSSAP-LE PDU (3GPP TS 49.031). More...
uint8_t | osmo_bssmap_le_ie_enc_location_type (struct msgb *msg, const struct bssmap_le_location_type *location_type)
| Encode full BSSMAP-LE Location Type IE, including IEI tag and length. More...
int | osmo_bssmap_le_ie_dec_location_type (struct bssmap_le_location_type *lt, enum bssmap_le_msgt msgt, enum bssmap_le_iei iei, struct osmo_bssmap_le_err **err, void *err_ctx, const uint8_t *elem, uint8_t len)
| Decode BSSMAP-LE Location Type IE value part. More...

## Variables

const struct value_string | osmo_bssmap_le_msgt_names []
const struct value_string | osmo_bssmap_le_iei_names []

## Detailed Description

Message encoding and decoding for 3GPP TS 49.031 BSSMAP-LE.